PLaSK library

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
plask::ProviderImpl< PropertyT, FIELD_PROPERTY, SpaceT, VariadicTemplateTypesHolder< _ExtraParams... > >::Transform< MeshTransform > Struct Template Reference

Provider that uses mesh transformation and has a received for different mesh type. More...

`#include <plask/provider/providerfor.hpp>`

Inheritance diagram for plask::ProviderImpl< PropertyT, FIELD_PROPERTY, SpaceT, VariadicTemplateTypesHolder< _ExtraParams... > >::Transform< MeshTransform >:
[legend]
Collaboration diagram for plask::ProviderImpl< PropertyT, FIELD_PROPERTY, SpaceT, VariadicTemplateTypesHolder< _ExtraParams... > >::Transform< MeshTransform >:
[legend]

## Public Types
typedef ProviderImpl< PropertyT, FIELD_PROPERTY, SpaceT, VariadicTemplateTypesHolder< _ExtraParams... > >::ProvidedType | ProvidedType
| Type of provided value.
Public Types inherited from plask::ProviderFor< PropertyT, SpaceT >
typedef PropertyT | PropertyTag
typedef SpaceT | SpaceType

## Public Member Functions
| Transform ()
| Transform (ProviderFor< PropertyT, typename MeshTransform::TargetGeometry > *provider)
| ~Transform ()
ProvidedType | operator() (shared_ptr< const MeshD< SpaceT::DIM > > dst_mesh, _ExtraParams...params, InterpolationMethod method=INTERPOLATION_DEFAULT) const override
Public Member Functions inherited from plask::ProviderFor< PropertyT, SpaceT >
| ProviderFor (Args &&... params)
| Delegate all constructors to parent class.

## Public Attributes
ReceiverFor< PropertyT, typename MeshTransform::TargetGeometry > | receiver
| Receiver for transformed geometry.

## Detailed Description

template<typename PropertyT, typename SpaceT, typename... _ExtraParams>
template<typename MeshTransform>
struct plask::ProviderImpl< PropertyT, FIELD_PROPERTY, SpaceT, VariadicTemplateTypesHolder< _ExtraParams... > >::Transform< MeshTransform >

Provider that uses mesh transformation and has a received for different mesh type.

Definition at line 1186 of file providerfor.hpp.

## Member Typedef Documentation

## ◆ ProvidedType

template<typename PropertyT , typename SpaceT , typename... _ExtraParams>
template<typename MeshTransform >

typedef ProviderImpl<PropertyT,FIELD_PROPERTY,SpaceT,VariadicTemplateTypesHolder<_ExtraParams...>>::ProvidedType plask::ProviderImpl< PropertyT, FIELD_PROPERTY, SpaceT, VariadicTemplateTypesHolder< _ExtraParams... > >::Transform< MeshTransform >::ProvidedType

Type of provided value.

Definition at line 1191 of file providerfor.hpp.

## Constructor & Destructor Documentation

## ◆ Transform() [1/2]

template<typename PropertyT , typename SpaceT , typename... _ExtraParams>
template<typename MeshTransform >

plask::ProviderImpl< PropertyT, FIELD_PROPERTY, SpaceT, VariadicTemplateTypesHolder< _ExtraParams... > >::Transform< MeshTransform >::Transform | ( |  | ) |
| inline

Definition at line 1196 of file providerfor.hpp.

## ◆ Transform() [2/2]

template<typename PropertyT , typename SpaceT , typename... _ExtraParams>
template<typename MeshTransform >

plask::ProviderImpl< PropertyT, FIELD_PROPERTY, SpaceT, VariadicTemplateTypesHolder< _ExtraParams... > >::Transform< MeshTransform >::Transform | ( | ProviderFor< PropertyT, typename MeshTransform::TargetGeometry > * | provider | ) |
| inline

Definition at line 1200 of file providerfor.hpp.

## ◆ ~Transform()

template<typename PropertyT , typename SpaceT , typename... _ExtraParams>
template<typename MeshTransform >

plask::ProviderImpl< PropertyT, FIELD_PROPERTY, SpaceT, VariadicTemplateTypesHolder< _ExtraParams... > >::Transform< MeshTransform >::~Transform | ( |  | ) |
| inline

Definition at line 1205 of file providerfor.hpp.

## Member Function Documentation

## ◆ operator()()

template<typename PropertyT , typename SpaceT , typename... _ExtraParams>
template<typename MeshTransform >

ProvidedType plask::ProviderImpl< PropertyT, FIELD_PROPERTY, SpaceT, VariadicTemplateTypesHolder< _ExtraParams... > >::Transform< MeshTransform >::operator() | ( | shared_ptr< const MeshD< SpaceT::DIM > > | dst_mesh,
|  | _ExtraParams... | params,
|  | InterpolationMethod | method = `INTERPOLATION_DEFAULT`
| ) |  | const
| inline override

Definition at line 1209 of file providerfor.hpp.

## Member Data Documentation

## ◆ receiver

template<typename PropertyT , typename SpaceT , typename... _ExtraParams>
template<typename MeshTransform >

ReceiverFor<PropertyT, typename MeshTransform::TargetGeometry> plask::ProviderImpl< PropertyT, FIELD_PROPERTY, SpaceT, VariadicTemplateTypesHolder< _ExtraParams... > >::Transform< MeshTransform >::receiver

Receiver for transformed geometry.

Definition at line 1194 of file providerfor.hpp.

The documentation for this struct was generated from the following file:

- plask/provider/providerfor.hpp